
QGIS Application - Bug report #20374

QGIS 3.4.1 Crash on eject sd card

2018-11-06 02:27 AM - Patrick Lough

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28194

Description

Previously reported in 3.4.0 and was closed as fixed. 

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06

Duplicates QGIS Application - Bug report # 20280: QGIS Crash on add or remove... Closed 2018-10-30
History

#1 - 2018-11-06 11:52 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Category changed from GUI to Build/Install

- Priority changed from Normal to High

So this does not seems fixed after all.

#2 - 2018-11-06 05:19 PM - Matthew Bodnar

QGIS also crashed as soon as I insert a USB drive.

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

__________________

Giovanni Manghi wrote:

So this does not seems fixed after all.
#3 - 2018-11-09 12:24 AM - Martin Dobias

- Related to Bug report #20386: Program crashes in idle phase added

#4 - 2019-02-24 02:16 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to duplicate

#5 - 2019-02-24 02:19 AM - Jürgen Fischer

- Duplicates Bug report #20280: QGIS Crash on add or remove usb drive added
